
<Frame name ="BF_TradingHelp_Sell_Fram_Item_Templates" >
	<Attrib click="true"/>
	<Position width="240" height="25"/>
	<Frames>
		<Frame name = "BF_TradingHelp_Sell_Fram_Item_Templates_Name">
			<Position width="195" height="25" offsetX="0" offsetY="5"/>
			<Text font="0" height="14" r="1.0" g="1.0" b="1.0" a="1.0" rb="1.0" gb="1.0" bb="1.0" text="222222" />
		</Frame>
		<Frame name = "BF_TradingHelp_Sell_Fram_Item_Templates_DelButton">
			<Attrib click="true"/>
			<Position width="40" height="23" offsetX="195" offsetY="0"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
			</Textures>
			<Script>
				<FE_OnLoad>
					BF_LootHelp.OnDelButtonLoad(FRAME_THIS)
				</FE_OnLoad>
				<FE_OnLMDown>
					BF_LootHelp.DelButton_OnDown(FRAME_THIS)
				</FE_OnLMDown>
				<FE_OnLMUp>
					BF_LootHelp.DelButton_OnUp(FRAME_THIS)
				</FE_OnLMUp>
				<FE_OnCursorEnter>
					BF_LootHelp.DelButton_OnCursorEnter(FRAME_THIS)
				</FE_OnCursorEnter>
				<FE_OnCursorLeave>
					BF_LootHelp.DelButton_OnUp(FRAME_THIS)
				</FE_OnCursorLeave>
				<FE_OnLMClick>
					BF_TradingHelp.DelButtonClick(FRAME_THIS)
				</FE_OnLMClick>
			</Script>
		</Frame>
	</Frames>
</Frame>

<Frame name ="BF_TradingHelp_Buy_Fram_Item_Templates" >
	<Attrib click="true"/>
	<Position width="240" height="25"/>
	<Frames>
		<Frame name = "BF_TradingHelp_Buy_Fram_Item_Templates_Name">
			<Position width="110" height="25" offsetX="0" offsetY="5"/>
			<Text font="0" height="14" r="1.0" g="1.0" b="1.0" a="1.0" rb="1.0" gb="1.0" bb="1.0" text="222222" />
		</Frame>
		<Frame name = "BF_TradingHelp_Buy_Fram_Item_Templates_LeftButton">
			<Attrib click="true"/>
			<Position width="20" height="21" offsetX="113" offsetY="0"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
			</Textures>
			<Script>
				<FE_OnLoad>
					BF_TradingHelp.OnLeftButtonLoad(FRAME_THIS)
				</FE_OnLoad>
				<FE_OnLMDown>
					BF_TradingHelp.LeftButton_OnDown(FRAME_THIS)
				</FE_OnLMDown>
				<FE_OnLMUp>
					BF_TradingHelp.leftButton_OnUp(FRAME_THIS)
				</FE_OnLMUp>
				<FE_OnCursorEnter>
					BF_TradingHelp.LeftButton_OnCursorEnter(FRAME_THIS)
				</FE_OnCursorEnter>
				<FE_OnCursorLeave>
					BF_TradingHelp.LeftButton_OnUp(FRAME_THIS)
				</FE_OnCursorLeave>
				<FE_OnLMClick>
					BF_TradingHelp.LeftButtonClick(FRAME_THIS)
				</FE_OnLMClick>
			</Script>
		</Frame>

		<Frame name="BF_TradingHelp_Buy_Fram_Item_Templates_EditBox_Frame">
			<Position width="37" height="21" offsetX="133" offsetY="0"/>
			<Attrib alphaMode="CAM_Translucent"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="interface.XYCreditTrade" left="547" top="23" right="582" bottom="45"/>
			</Textures>
			<Frames>
				<EditBoxFrame name="BF_TradingHelp_Buy_Fram_Item_Templates_EditBox_Frame_EditBox">
					<Attrib alphaMode="CAM_Translucent"/>
					<Position self ="FAT_LeftBottom" rel = "FAT_LeftBottom" width="37" height="21" offsetY="3" offsetX="3"/>
					<Text font="0" height="14" r="1.f" g="1.f" b="1.f" rb="1.f" gb="1.f" bb="1.f" a="1"/>
					<Script>
						<FE_OnKeyDown>
							BF_TradingHelp.OnBuyNumEditBoxKeyDown(FRAME_THIS, FRAME_PARAM);
						</FE_OnKeyDown>
					</Script>
				</EditBoxFrame>
			</Frames>
			<Script>
				<FE_OnLoad>
					BF_TradingHelp.OnNumEditBoxLoad(FRAME_THIS)
				</FE_OnLoad>
			</Script>
		</Frame>

		<Frame name = "BF_TradingHelp_Buy_Fram_Item_Templates_RightButton">
			<Attrib click="true"/>
			<Position width="20" height="21" offsetX="170" offsetY="0"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
			</Textures>
			<Script>
				<FE_OnLoad>
					BF_TradingHelp.OnRightButtonLoad(FRAME_THIS)
				</FE_OnLoad>
				<FE_OnLMDown>
					BF_TradingHelp.RightButton_OnDown(FRAME_THIS)
				</FE_OnLMDown>
				<FE_OnLMUp>
					BF_TradingHelp.RightButton_OnUp(FRAME_THIS)
				</FE_OnLMUp>
				<FE_OnCursorEnter>
					BF_TradingHelp.RightButton_OnCursorEnter(FRAME_THIS)
				</FE_OnCursorEnter>
				<FE_OnCursorLeave>
					BF_TradingHelp.RightButton_OnUp(FRAME_THIS)
				</FE_OnCursorLeave>
				<FE_OnLMClick>
					BF_TradingHelp.RightButtonClick(FRAME_THIS)
				</FE_OnLMClick>
			</Script>
		</Frame>
		<Frame name = "BF_TradingHelp_Buy_Fram_Item_Templates_DelButton">
			<Attrib click="true"/>
			<Position width="40" height="23" offsetX="195" offsetY="0"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
			</Textures>
			<Script>
				<FE_OnLoad>
					BF_LootHelp.OnDelButtonLoad(FRAME_THIS)
				</FE_OnLoad>
				<FE_OnLMDown>
					BF_LootHelp.DelButton_OnDown(FRAME_THIS)
				</FE_OnLMDown>
				<FE_OnLMUp>
					BF_LootHelp.DelButton_OnUp(FRAME_THIS)
				</FE_OnLMUp>
				<FE_OnCursorEnter>
					BF_LootHelp.DelButton_OnCursorEnter(FRAME_THIS)
				</FE_OnCursorEnter>
				<FE_OnCursorLeave>
					BF_LootHelp.DelButton_OnUp(FRAME_THIS)
				</FE_OnCursorLeave>
				<FE_OnLMClick>
					BF_TradingHelp.DelButtonClick(FRAME_THIS)
				</FE_OnLMClick>
			</Script>
		</Frame>
	</Frames>
</Frame>

<Frame name = "BF_TradingHelp_Sell_Fram"  inherit="Drag_FrameTemplate" parent = "FRAME_ROOT">
	<Attrib hide="false" click="true" alphaMode="CAM_Translucent"/>
	<Position width="285" height="358" offsetX="400" offsetY="200"/>
	<Textures r="1.0" g="1.0" b="1.0" a="1.0">
		<TexInfo texture="interface.XYLoot" left="0" top="41" right="219" bottom="337"/>
	</Textures>
	<Frames>
		<Frame name="BF_TradingHelp_Sell_Fram_HideBtn_EditBox_Frame">
			<Position width="195" height="23" offsetX="10" offsetY="55"/>
			<Attrib alphaMode="CAM_Translucent"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="interface.XYCreditTrade" left="547" top="23" right="582" bottom="45"/>
			</Textures>
			<Frames>
				<EditBoxFrame name="BF_TradingHelp_Sell_Fram_HideBtn_EditBox_Frame_EditBox">
					<Attrib alphaMode="CAM_Translucent"/>
					<Position self ="FAT_LeftBottom" rel = "FAT_LeftBottom" width="131" height="24" offsetY="3" offsetX="3"/>
					<Text font="0" height="14" r="1.f" g="1.f" b="1.f" rb="1.f" gb="1.f" bb="1.f" a="1"/>
					<Script>
						<FE_OnKeyDown>
							BF_TradingHelp.OnSellEditBoxKeyDown(FRAME_THIS, FRAME_PARAM);
						</FE_OnKeyDown>
					</Script>
				</EditBoxFrame>
			</Frames>
			<Script>
				<FE_OnLoad>
					BF_ChatHelp.OnEditBoxLoad(FRAME_THIS)
				</FE_OnLoad>
			</Script>
		</Frame>
		<Frame name="BF_TradingHelp_Sell_Fram_AddBtn" >
			<Position width="62" height="23" self="FAT_LeftTop" rel="FAT_LeftTop" offsetX="209" offsetY="54"/>
			<Attrib click="true" alphaMode="CAM_Translucent" cursor="interface.UIHand"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="interface.CommonUse" left="365" top="884" right="435" bottom="913"/>
			</Textures>
			<Script>
				<FE_OnLoad>
					BF_LootHelp.OnAddBtnLoad(FRAME_THIS)
				</FE_OnLoad>
				<FE_OnCursorEnter>
					BF_LootHelp.OnAddBtnEnter(FRAME_THIS)
				</FE_OnCursorEnter>
				<FE_OnCursorLeave>
					BF_LootHelp.OnAddBtnLeave(FRAME_THIS)
				</FE_OnCursorLeave>
				<FE_OnLMDown>
					BF_LootHelp.OnAddBtnLMDown(FRAME_THIS)
				</FE_OnLMDown>
				<FE_OnLMUp>
					BF_LootHelp.OnAddBtnLMUp(FRAME_THIS)
				</FE_OnLMUp>
				<FE_OnLMClick>
					BF_TradingHelp.OnSellAddBtnClick(FRAME_THIS);
				</FE_OnLMClick>
			</Script>
		</Frame>
		<Frame name="BF_TradingHelp_Sell_Fram_HideBtn" inherit="BF_ConfigPanel_FRAME_CloseButton_Template">
			<Position offsetX="248" offsetY="20"/>
			<Script>
			    <FE_OnLoad>
		        </FE_OnLoad>
				<FE_OnLMClick>
					BF_TradingHelp.OnSellFramCloseButtonClick(FRAME_THIS);
				</FE_OnLMClick>
			</Script>
		</Frame>

		<Frame name="BF_TradingHelp_Sell_Fram_ItemList_Template">
			<Attrib click="true" wheel="true"/>
			<Position width="288" height="286" offsetX="12" offsetY="90"/>
			<Textures r="1.f" g="1.f" b="1.f" a="0.f">
				<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
			</Textures>
			<Tags tag1="5" tag2="0" tag3="0" tag4="1"/>
			<Frames>
				<Frame name="BF_TradingHelp_Sell_TTMsg" >
					<Attrib click="true" wheel="true" />
					<Position width="244" height="253" offsetX="0" offsetY="0"/>
					<Textures r="1.0" g="1.0" b="1.0" a="0.0">
						<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
					</Textures>
					<Frames>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item1"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="0" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item2"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="25" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item3"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="50" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item4"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="75" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item5"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="100" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item6"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="125" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item7"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="150" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item8"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="175" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item9"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="200" />
						</Frame>
						<Frame name="BF_TradingHelp_Sell_TTMsg_Item10"  inherit="BF_TradingHelp_Sell_Fram_Item_Templates">
							<Position offsetX="0" offsetY="225" />
						</Frame>
					</Frames>
					<Script>
						<FE_OnLoad>
							--BF_ChatHelp.CF_TTMsgFramLoad(FRAME_THIS);
						</FE_OnLoad>
						<FE_OnWheelUp>
							BF_TradingHelp.OnSellFrameWheelUp(FRAME_THIS)
						</FE_OnWheelUp>
						<FE_OnWheelDown>
							BF_TradingHelp.OnSellFrameWheelDown(FRAME_THIS)
						</FE_OnWheelDown>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Sell_UpButton" inherit="BF_ListBox_UpButton_Template" >
					<Position offsetX="244" offsetY="0" />
					<Script>
						<FE_OnLMClick>
							BF_TradingHelp.OnSellFrameWheelUp(BF_TradingHelp_Sell_TTMsg)
						</FE_OnLMClick>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Sell_DownButton" inherit="BF_ListBox_DownButton_Template" >
					<Position  offsetX="244" offsetY="245" />
					<Script>
						<FE_OnLMClick>
							BF_TradingHelp.OnSellFrameWheelDown(BF_TradingHelp_Sell_TTMsg)
						</FE_OnLMClick>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Sell_MidBottomButton" inherit="BF_ListBox_MidBottomButton_Template">
					<Position offsetX="244" offsetY="21"/>
					<Script>
						<FE_OnTick>
							BF_TradingHelp.SellMidButtonTick(FRAME_THIS)
						</FE_OnTick>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Sell_MidBG" inherit="BF_ListBox_MidBtnBG_Template" >
					<Position offsetX = "247" offsetY = "18"  />
				</Frame>
			</Frames>
			<Script>
				<FE_OnLoad>
					BF_ChatHelp.CF_TTMsgFramLoad(FRAME_THIS);
				</FE_OnLoad>
				<FE_OnWheelUp>
					--ListBox_UpBtn_OnClick(BF_ChatHelp_Fram_UpBtn)
				</FE_OnWheelUp>
				<FE_OnWheelDown>
					--ListBox_DownBtn_OnClick(BF_ChatHelp_Fram_DownBtn)
				</FE_OnWheelDown>
			</Script>
		</Frame>
	</Frames>
	<Script>
		<FE_OnLoad>
			BF_TradingHelp.OnSellFramLoad(FRAME_THIS);
		</FE_OnLoad>
		<FE_OnTick>
			BF_LootHelp.OnNotLootFramTick(FRAME_THIS);
		</FE_OnTick>
		<FE_OnGameEvent>
		</FE_OnGameEvent>
		<FE_OnShow>
			BF_TradingHelp.OnSellFramFrameShow(FRAME_THIS);
		</FE_OnShow>
	</Script>
</Frame>

<Frame name = "BF_TradingHelp_Buy_Fram"  inherit="Drag_FrameTemplate" parent = "FRAME_ROOT">
	<Attrib hide="false" click="true" alphaMode="CAM_Translucent"/>
	<Position width="285" height="358" offsetX="400" offsetY="200"/>
	<Textures r="1.0" g="1.0" b="1.0" a="1.0">
		<TexInfo texture="interface.XYLoot" left="0" top="41" right="219" bottom="337"/>
	</Textures>
	<Frames>
		<Frame name="BF_TradingHelp_Buy_Fram_HideBtn_EditBox_Frame">
			<Position width="195" height="23" offsetX="10" offsetY="55"/>
			<Attrib alphaMode="CAM_Translucent"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="interface.XYCreditTrade" left="547" top="23" right="582" bottom="45"/>
			</Textures>
			<Frames>
				<EditBoxFrame name="BF_TradingHelp_Buy_Fram_HideBtn_EditBox_Frame_EditBox">
					<Attrib alphaMode="CAM_Translucent"/>
					<Position self ="FAT_LeftBottom" rel = "FAT_LeftBottom" width="131" height="24" offsetY="3" offsetX="3"/>
					<Text font="0" height="14" r="1.f" g="1.f" b="1.f" rb="1.f" gb="1.f" bb="1.f" a="1"/>
					<Script>
						<FE_OnKeyDown>
							BF_TradingHelp.OnBuyEditBoxKeyDown(FRAME_THIS, FRAME_PARAM);
						</FE_OnKeyDown>
					</Script>
				</EditBoxFrame>
			</Frames>
			<Script>
				<FE_OnLoad>
					BF_ChatHelp.OnEditBoxLoad(FRAME_THIS)
				</FE_OnLoad>
			</Script>
		</Frame>
		<Frame name="BF_TradingHelp_Buy_Fram_AddBtn" >
			<Position width="62" height="23" self="FAT_LeftTop" rel="FAT_LeftTop" offsetX="209" offsetY="54"/>
			<Attrib click="true" alphaMode="CAM_Translucent" cursor="interface.UIHand"/>
			<Textures r="1.f" g="1.f" b="1.f" a="1.f">
				<TexInfo texture="interface.CommonUse" left="365" top="884" right="435" bottom="913"/>
			</Textures>
			<Script>
				<FE_OnLoad>
					BF_LootHelp.OnAddBtnLoad(FRAME_THIS)
				</FE_OnLoad>
				<FE_OnCursorEnter>
					BF_LootHelp.OnAddBtnEnter(FRAME_THIS)
				</FE_OnCursorEnter>
				<FE_OnCursorLeave>
					BF_LootHelp.OnAddBtnLeave(FRAME_THIS)
				</FE_OnCursorLeave>
				<FE_OnLMDown>
					BF_LootHelp.OnAddBtnLMDown(FRAME_THIS)
				</FE_OnLMDown>
				<FE_OnLMUp>
					BF_LootHelp.OnAddBtnLMUp(FRAME_THIS)
				</FE_OnLMUp>
				<FE_OnLMClick>
					BF_TradingHelp.OnBuyAddBtnClick(FRAME_THIS);
				</FE_OnLMClick>
			</Script>
		</Frame>
		<Frame name="BF_TradingHelp_Buy_Fram_HideBtn" inherit="BF_ConfigPanel_FRAME_CloseButton_Template">
			<Position offsetX="248" offsetY="20"/>
			<Script>
			    <FE_OnLoad>
		        </FE_OnLoad>
				<FE_OnLMClick>
					BF_TradingHelp.OnBuyFramCloseButtonClick(FRAME_THIS);
				</FE_OnLMClick>
			</Script>
		</Frame>

		<Frame name="BF_TradingHelp_Buy_Fram_ItemList_Template">
			<Attrib click="true" wheel="true"/>
			<Position width="288" height="286" offsetX="12" offsetY="90"/>
			<Textures r="1.f" g="1.f" b="1.f" a="0.f">
				<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
			</Textures>
			<Tags tag1="5" tag2="0" tag3="0" tag4="1"/>
			<Frames>
				<Frame name="BF_TradingHelp_Buy_TTMsg" >
					<Attrib click="true" wheel="true" />
					<Position width="244" height="253" offsetX="0" offsetY="0"/>
					<Textures r="1.0" g="1.0" b="1.0" a="0.0">
						<TexInfo texture="system.whiteTexture" left="12" top="11" right="307" bottom="503"/>
					</Textures>
					<Frames>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item1"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="0" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item2"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="25" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item3"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="50" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item4"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="75" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item5"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="100" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item6"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="125" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item7"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="150" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item8"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="175" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item9"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="200" />
						</Frame>
						<Frame name="BF_TradingHelp_Buy_TTMsg_Item10"  inherit="BF_TradingHelp_Buy_Fram_Item_Templates">
							<Position offsetX="0" offsetY="225" />
						</Frame>
					</Frames>
					<Script>
						<FE_OnLoad>
							--BF_ChatHelp.CF_TTMsgFramLoad(FRAME_THIS);
						</FE_OnLoad>
						<FE_OnWheelUp>
							BF_TradingHelp.OnBuyFrameWheelUp(FRAME_THIS)
						</FE_OnWheelUp>
						<FE_OnWheelDown>
							BF_TradingHelp.OnBuyFrameWheelDown(FRAME_THIS)
						</FE_OnWheelDown>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Buy_UpButton" inherit="BF_ListBox_UpButton_Template" >
					<Position offsetX="244" offsetY="0" />
					<Script>
						<FE_OnLMClick>
							BF_TradingHelp.OnBuyFrameWheelUp(BF_TradingHelp_Buy_TTMsg)
						</FE_OnLMClick>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Buy_DownButton" inherit="BF_ListBox_DownButton_Template" >
					<Position  offsetX="244" offsetY="245" />
					<Script>
						<FE_OnLMClick>
							BF_TradingHelp.OnBuyFrameWheelDown(BF_TradingHelp_Buy_TTMsg)
						</FE_OnLMClick>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Buy_MidBottomButton" inherit="BF_ListBox_MidBottomButton_Template">
					<Position offsetX="244" offsetY="21"/>
					<Script>
						<FE_OnTick>
							BF_TradingHelp.BuyMidButtonTick(FRAME_THIS)
						</FE_OnTick>
					</Script>
				</Frame>
				<Frame name="BF_TradingHelp_Buy_MidBG" inherit="BF_ListBox_MidBtnBG_Template" >
					<Position offsetX = "247" offsetY = "18"  />
				</Frame>
			</Frames>
			<Script>
				<FE_OnLoad>
					BF_ChatHelp.CF_TTMsgFramLoad(FRAME_THIS);
				</FE_OnLoad>
				<FE_OnWheelUp>
					--ListBox_UpBtn_OnClick(BF_ChatHelp_Fram_UpBtn)
				</FE_OnWheelUp>
				<FE_OnWheelDown>
					--ListBox_DownBtn_OnClick(BF_ChatHelp_Fram_DownBtn)
				</FE_OnWheelDown>
			</Script>
		</Frame>
	</Frames>
	<Script>
		<FE_OnLoad>
			BF_TradingHelp.OnBuyFramLoad(FRAME_THIS);
		</FE_OnLoad>
		<FE_OnTick>
			BF_LootHelp.OnNotLootFramTick(FRAME_THIS);
		</FE_OnTick>
		<FE_OnGameEvent>
		</FE_OnGameEvent>
		<FE_OnShow>
			BF_TradingHelp.OnBuyFramFrameShow(FRAME_THIS);
		</FE_OnShow>
	</Script>
</Frame>

<Frame name = "BF_TradingHelp_Frame"  parent = "FRAME_ROOT">
    <Script file="InterFace\TradingHelp\TradingHelp.l">
		<FE_OnLoad>
			BF_TradingHelp.OnLoad(FRAME_THIS);
		</FE_OnLoad>
		<FE_OnTick>
			BF_TradingHelp.OnTick(FRAME_THIS);
		</FE_OnTick>
	</Script>
</Frame>